"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Html5EntryWebpackPlugin = void 0;
var HtmlWebpackPlugin = require("html-webpack-plugin");
var cheerio_1 = require("cheerio");
var fs_1 = require("fs");
var path_1 = require("path");
var helpers_1 = require("./helpers");
var Html5EntryWebpackPlugin = /** @class */ (function () {
    function Html5EntryWebpackPlugin(options) {
        if (options === void 0) { options = {}; }
        this.options = options;
    }
    Html5EntryWebpackPlugin.prototype.apply = function (compiler) {
        var entry = compiler.options.entry;
        var template = helpers_1.getTemplates(entry)[0];
        if (template) {
            var src_1 = path_1.dirname(template);
            var templateContent = cheerio_1.load(fs_1.readFileSync(template, 'utf8'));
            var entries = helpers_1.extractParts(templateContent).map(function (entry) { return path_1.join(src_1, entry); });
            compiler.options.plugins.push(new HtmlWebpackPlugin(__assign(__assign({}, this.options), { templateContent: templateContent.html() })));
            helpers_1.setEntries(compiler.options, template, entries);
        }
    };
    return Html5EntryWebpackPlugin;
}());
exports.Html5EntryWebpackPlugin = Html5EntryWebpackPlugin;
//# sourceMappingURL=index.js.map